/**************************************************/
/******************* RESETEADOR *******************/
/**************************************************/

/* http://meyerweb.com/eric/tools/css/reset/ v2.0 */

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

/* Old browsers / Para viejos exploradores */

article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}

body {
  line-height: 1.5;
}

ol, ul {
  list-style: none;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

/**************************************************/

/* Fonts */

@font-face {
  font-family: "Gandhi Sans Regular";
  src: url(../otf/gandhi-regular.otf);
}

@font-face {
  font-family: "Gandhi Sans Italic";
  src: url(../otf/gandhi-italic.otf);
}

@font-face {
  font-family: "Gandhi Sans Bold";
  src: url(../otf/gandhi-bold.otf);
}

@font-face {
  font-family: "Gandhi Sans BoldItalic";
  src: url(../otf/gandhi-bolditalic.otf);
}

/* General */

html, body, section {
  background: #002B36;
  font-size: 1em;
}

html * {
  font-family: "Gandhi Sans Regular", Verdana, Geneva, sans-serif;
  color: #839496;
  word-wrap: break-word;
}

section {
  width: calc(100vw - 2em);
  padding: 1em;
  height: calc(100vh - 2em - 2em - 1px);
  overflow-y: scroll;
  overflow-x: hidden;
}

.shell {
  display: block;
  word-break: break-all;
}

.block:not(#block-1) {
  margin-top: 1em;
}

section > div:last-child {
  margin-bottom: .5em;
}

ol, ul {
    margin: 1em 0 1em 1.5em;
    padding: 0;
}

ol {
    list-style-type: decimal;
}

ul {
    list-style-type: disc;
}

ol ol, ol ul,
ul ol, ul ul {
    margin: 0 1em;
}

ol p, ul p {
    margin-left: .5em;
}

a, .back, .forward {
  cursor: pointer;
  text-decoration: none;
}

a:not(.option):not(.object):not(.e12):before,
p#e12:before {
  content: '🔗\00a0';
}

a.option:before {
  content: '⎆ ';
  color: blue;
}

/* Navigation */

nav {
  width: 100vw;
  height: 2em;
  overflow: hidden;
  clear: both;
  border-top: 1px solid #839496;
  background-color: black;
}

nav > div {
  float: left;
  width: 2em;
  height: 2em;
  display: flex;
  align-items: center;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

nav > div:nth-child(1),
nav > div:nth-child(2) {
  width: calc(50vw - 3em);
}

nav > div > p {
  width: 100%;
  text-align: center;
}

/* Maintenance */

#maintenance {
  position: fixed;
  top: 0;
  left: 0;
  width: calc(100vw - 2em);
  padding: 1em;
  font-size: .75em;
  background-color: yellow;
  color: black;
}

#maintenance:before {
  content: '⚠ ';
}

/* Font effects */

i, em {
    font-family: "Gandhi Sans Italic", Verdana, Geneva, sans-serif;
    font-style: italic;
}

b, strong {
    font-family: "Gandhi Sans Bold", Verdana, Geneva, sans-serif;
    font-weight: bold;
}

i > b, b > i,
em > strong, strong > em,
i > strong, strong > i,
em > b, b > em {
    font-family: "Gandhi Sans BoldItalic", Verdana, Geneva, sans-serif;
}

red, red > *     {color: red;}
green, green > * {color: green;}
blue, blue > *   {color: blue;}
gray, gray > *   {color: #839496}

.underline {
  text-decoration: underline;
}

.mono, .mono * {
  font-family: monospace !important;
  white-space: pre;
}

/* Texts */

.book h1, .book h2 {
  font-weight: bold;
  margin: 1em auto;
  text-align: center;
}

.book h1 {
  color: blue;
}

.book h2, .book h2 * {
  color: green;
}

.book p:not(.epigrafe) + p:not(.epigrafe) {
  text-indent: 1em;
}

.book img {
  display: block;
  margin: 1em 0 1em -1em;
  width: calc(100vw);
}

.book .epigrafe {
  text-align: right;
  margin: 1em auto;
}

.book .sangria {
  text-indent: 1em !important;
}

.book .sin-sangria {
  text-indent: 0 !important;
}

.book .centrado {
  text-indent: 0;
  text-align: center !important;
}

.book .derecha {
    text-indent: 0;
    text-align: right !important;
}

.book .espacio-arriba1 {
    margin-top: 1em !important;
}
